org.apache.poi.xdgf.usermodel

## Class XDGFPageContents

- java.lang.Object
- - org.apache.poi.ooxml.POIXMLDocumentPart
  - - org.apache.poi.xdgf.xml.XDGFXMLDocumentPart
    - - org.apache.poi.xdgf.usermodel.XDGFBaseContents
      - - org.apache.poi.xdgf.usermodel.XDGFPageContents

-     public class XDGFPageContents
      extends XDGFBaseContents

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.poi.ooxml.POIXMLDocumentPart

      `POIXMLDocumentPart.RelationPart`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.Map<java.lang.Long,XDGFMaster>` | `_masters`
    `protected XDGFPage` | `_page`

    - ### Fields inherited from class org.apache.poi.xdgf.usermodel.XDGFBaseContents

      `_connections, _pageContents, _shapes, _toplevelShapes`

    - ### Fields inherited from class org.apache.poi.xdgf.xml.XDGFXMLDocumentPart

      `_document`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XDGFPageContents(PackagePart part)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `XDGFMaster` | `getMasterById(long id)`
    `XDGFPage` | `getPage()`
    `protected void` | `onDocumentRead()` Fired when a package part is read
    `protected void` | `setPage(XDGFPage page)`

    - ### Methods inherited from class org.apache.poi.xdgf.usermodel.XDGFBaseContents

      `addToShapeIndex, draw, getConnections, getShapeById, getShapes, getShapesMap, getTopLevelShapes, getXmlObject, toString, visitShapes`

    - ### Methods inherited from class org.apache.poi.xdgf.xml.XDGFXMLDocumentPart

      `setDocument`

    - ### Methods inherited from class org.apache.poi.ooxml.POIXMLDocumentPart

      `_invokeOnDocumentRead, addRelation, commit, createRelationship, createRelationship, createRelationship, getNextPartNumber, getPackagePart, getParent, getRelationById, getRelationId, getRelationPartById, getRelationParts, getRelations, getTargetPart, isCommited, isCommitted, onDocumentCreate, onDocumentRemove, onSave, prepareForCommit, read, rebase, removeRelation, removeRelation, removeRelation, setCommited, setCommitted`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### _masters

          protected java.util.Map<java.lang.Long,XDGFMaster> _masters

    - #### _page

          protected XDGFPage _page

  - ### Constructor Detail

    - #### XDGFPageContents

          public XDGFPageContents(PackagePart part)

      Since:
        POI 3.14-Beta1

  - ### Method Detail

    - #### onDocumentRead

          protected void onDocumentRead()

      Description copied from class: `POIXMLDocumentPart`
      Fired when a package part is read
      Overrides:
        `onDocumentRead` in class `XDGFBaseContents`

    - #### getPage

          public XDGFPage getPage()

      Returns:
        Parent page

    - #### setPage

          protected void setPage(XDGFPage page)

    - #### getMasterById

          public XDGFMaster getMasterById(long id)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.